Get all submission for a form authored by a specific account Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
"PlannrCRM MCP server": {
  "url": "https://apidocs.plannrcrm.com/mcp"
}
Close
GET /api/v1/form/{form_uuid}/submission-authored-by/{author_uuid}

Path parameters

  • form_uuid string Required
  • author_uuid string Required

Query parameters

  • include string

    Comma separated list of relationships to include in the response. Valid relationships are [account]

  • filter[uuid] string

    Filter by a comma separated list of UUIDs.

  • filter[created_after] string

    Date to filter when the record was created after.

  • filter[created_before] string

    Date to filter when the record was created before.

  • filter[stage] string

    Flter submissions by their stage. Valid options are draft,submitted,approved,changes_requested.

  • filter[account] string

    Name of the account of who the submission was against.

  • filter[account_uuids] string

    Filter by a comma separated list of accounts UUIDs of who the form was submitted against.

  • filter[submitted_by_uuid] string

    Filter by a comma separated list of account UUIDs of who submitted the form.

  • filter[circle_uuids] string

    Filter by a comma separated list of circle UUIDs belonging to accounts of who the form was submitted against.

  • filter[hide_null_accounts] boolean

    Hide form submissions that are not linked to an account, this could be submissions on public forms.

  • sort string

    Field to sort by. Valid fields are [created_at, updated_at, stage]. Negative sign to denote DESC. Defaults to '-created_at'.

  • per_page integer

    Number of results to return with pagination (Default 15. Max 500).

Responses

  • 200 application/json
    Hide response attribute Show response attribute object
    • data array[object]
      Hide data attributes Show data attributes object
      • uuid string
      • created_at string
      • updated_at string
      • stage string
      • account object
        Hide account attributes Show account attributes object
        • uuid string
        • created_at string
        • updated_at string
        • type string
        • role string
        • first_name string
        • last_name string
        • name string
        • email string
        • photo_url string
        • firm string
        • primary_phone_number string
        • primary_email string
        • current_time_entry string
        • assigned_adviser string
        • assigned_administrator string
        • assigned_paraplanner string
        • introduced_by string
        • business_unit string
        • groups string
        • tags string
        • owners string
        • first_contact_date string
        • next_review_date string
        • previous_review_date string
        • anniversary_review_date string
        • terms_of_business_at string
        • client_agreement_at string
        • with_login boolean
        • has_joint_account boolean
        • can_be_deleted string
        • joint_account_circle string
        • circles string
        • ownership_percentage integer
        • inactive_at string
        • last_interaction_at string
        • referral_code string
        • permissions object
          Hide permissions attributes Show permissions attributes object
          • firm:read array[string]
          • network:read array[string]
        • custom_fields string
        • external_references string
      • request object
        Hide request attributes Show request attributes object
        • uuid string
        • created_at string
        • updated_at string
        • description string
        • form string
        • has_submission boolean
        • submission string
      • form object
        Hide form attributes Show form attributes object
        • uuid string
        • created_at string
        • updated_at string
        • title string
        • description string
        • live boolean
        • visibility string
        • sections string
        • allowed_hosts array[string]
        • draft_submissions_count integer
        • submitted_submissions_count integer
        • create_client boolean
        • client_type string
      • answers array[object]
        Hide answers attributes Show answers attributes object
        • first_name string
        • last_name string
GET /api/v1/form/{form_uuid}/submission-authored-by/{author_uuid}
curl \
 --request GET 'https://api.plannrcrm.com/api/v1/form/6ff8f7f6-1eb3-3525-be4a-3932c805afed/submission-authored-by/6ff8f7f6-1eb3-3525-be4a-3932c805afed' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
  "data": [
    [
      {
        "uuid": "505823d3-158e-485e-8aa5-60049c16b87d",
        "created_at": "2026-06-09T14:10:13+01:00",
        "updated_at": "2026-06-09T14:10:13+01:00",
        "stage": "draft",
        "account": {
          "uuid": "2ef3a95b-47aa-4e4a-90f2-6f3c9ad7a3aa",
          "created_at": "2026-06-09T14:10:13+01:00",
          "updated_at": "2026-06-09T14:10:13+01:00",
          "type": "client",
          "role": "client",
          "first_name": "Gareth",
          "last_name": "Thompson",
          "name": "Gareth Thompson",
          "email": "gareth@codepotato.co.uk",
          "photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
          "firm": "App\\Http\\Resources\\FirmResource",
          "primary_phone_number": "App\\Http\\Resources\\ContactDetailResource",
          "primary_email": "App\\Http\\Resources\\ContactDetailResource",
          "current_time_entry": "App\\Http\\Resources\\TimeEntryResource",
          "assigned_adviser": "App\\Http\\Resources\\AccountResource",
          "assigned_administrator": "App\\Http\\Resources\\AccountResource",
          "assigned_paraplanner": "App\\Http\\Resources\\AccountResource",
          "introduced_by": "App\\Http\\Resources\\AccountResource",
          "business_unit": "App\\Http\\Resources\\BusinessUnitResource",
          "groups": "App\\Http\\Resources\\GroupResource",
          "tags": "App\\Http\\Resources\\TagResource",
          "owners": "App\\Http\\Resources\\AccountResource",
          "first_contact_date": "2026-06-09T14:10:13+01:00",
          "next_review_date": "2026-06-09T14:10:13+01:00",
          "previous_review_date": "2026-06-09T14:10:13+01:00",
          "anniversary_review_date": "2026-06-09T14:10:13+01:00",
          "terms_of_business_at": "2026-06-09T14:10:13+01:00",
          "client_agreement_at": "2026-06-09T14:10:13+01:00",
          "with_login": true,
          "has_joint_account": true,
          "can_be_deleted": "false",
          "joint_account_circle": "App\\Http\\Resources\\CircleResource",
          "circles": "App\\Http\\Resources\\CircleResource",
          "ownership_percentage": 100,
          "inactive_at": "2026-06-09",
          "last_interaction_at": "2026-06-09 14:10:13",
          "referral_code": "ABC12345",
          "permissions": {
            "firm:read": [
              "firm"
            ],
            "network:read": [
              "network:uuid"
            ]
          },
          "custom_fields": "App\\Http\\Resources\\CustomFieldValueResource",
          "external_references": "App\\Http\\Resources\\ExternalReferenceResource"
        },
        "request": {
          "uuid": "b844c57a-e43c-4206-afbe-fa49d0f7d8eb",
          "created_at": "2026-06-09T14:10:13+01:00",
          "updated_at": "2026-06-09T14:10:13+01:00",
          "description": "Please submit your annual survey form",
          "form": "App\\Http\\Resources\\FormResource",
          "has_submission": true,
          "submission": "App\\Http\\Resources\\FormSubmissionResource"
        },
        "form": {
          "uuid": "f2f668b2-2a16-4635-8766-724c1c2ba8f9",
          "created_at": "2026-06-09T14:10:13+01:00",
          "updated_at": "2026-06-09T14:10:13+01:00",
          "title": "Annual Catchup 2022",
          "description": "This is the annual catchup form for 2022",
          "live": true,
          "visibility": "public",
          "sections": "App\\Http\\Resources\\FormQuestionResource",
          "allowed_hosts": [
            "domain.com",
            "subdomain.domain.com"
          ],
          "draft_submissions_count": 5,
          "submitted_submissions_count": 5,
          "create_client": true,
          "client_type": "client"
        },
        "answers": [
          {
            "first_name": "john",
            "last_name": "olive"
          }
        ]
      }
    ]
  ]
}